<?php
require("./total.inc");

session_start();
require("./ninsyou.inc");
if(0 > ninsyou_check(3)){
   exit;
   }


echo "<!DOCTYP:pserver:cvs@dhcvs.ms-n.com:/usr/home/cvsE HTML PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN'>";
echo "<HTML>";
echo "<HEAD>";
echo "<META name='GENERATOR' content='AmBuilder'>";
echo "<META http-equiv='Content-Type' content='text/html; charset=euc-jp'>";
	echo "<title>zither monitorring save info</title>";

//echo "<SCRIPT LANGUAGE='JavaScript'>";
//echo "<!--

//function WinCls(){
//        window.close()
//                       }
// window.onload=WinCls();
//-->";

echo "</head>";
echo "<body alink='#ff0000' bgcolor='#ffffff' link='#0000ff' text='#000000' vlink='#000080'>";

echo "<pre>";

$BNAME = enco($_GET["BNAME"]);
$BNAME2 = enco($_GET["BNAME2"]);
$CNAME = enco($_GET["CNAME"]);
$BNAME_1 = enco($_GET["BNAME_1"]);
$BNAME_2 = enco($_GET["BNAME_2"]);

print($font_size);
print($version_name);
print(date("Y m d g i s A"));
print("\n");

if(0 != strlen($BNAME) && 0 >= strlen($CNAME) && 0 >= strlen($BNAME2)){
   print("選択した$BNAME 監視ブロック情報を削除します\n");
   echo "\n";
   echo "<FORM METHOD=GET ACTION='block_data_delete.php' target='deletet'>";
   echo "<font color=red>";
   echo "このボタンを押すとデータベース及び設定ファイルに反映します。\n";
   echo "</font>";
   echo "\n";
   echo "<INPUT type='hidden' NAME=GEN value='taro'>";
   echo "<INPUT type='hidden' NAME=BNAME value=$BNAME>";
   echo "<input type=submit value='反映します'>";
   }

else if(0 != strlen($BNAME) && 0 != strlen($CNAME) && 0 >= strlen($BNAME2)){
   print("選択した$BNAME 監視ブロックを、監視クライアント $CNAME に移動します。\n");
   echo "\n";
   echo "<FORM METHOD=GET ACTION='block_data_copy.php' target='deletet'>";
   echo "<font color=red>";
   echo "このボタンを押すとデータベース及び設定ファイルに反映します。\n";
   echo "</font>";
   echo "\n";
   echo "<INPUT type='hidden' NAME=GEN value='taro'>";
   echo "<INPUT type='hidden' NAME=BNAME value=$BNAME>";
   echo "<INPUT type='hidden' NAME=CNAME value=$CNAME>";
   echo "<input type=submit value='反映します'>";
   }

else if(0 != strlen($BNAME_1) && 0 != strlen($CNAME) && 0 >= strlen($BNAME) && 0 >= strlen($BNAME2) && 0 != strlen($BNAME_2)){
   print("選択した監視ブロック $BNAME_1 のコピーを $BNAME_2 として $CNAME に作成します。\n");
   echo "\n";
   echo "<FORM METHOD=GET ACTION='block_alldata_copy.php' target='deletet'>";
   echo "<font color=red>";
   echo "このボタンを押すとデータベース及び設定ファイルに反映します。\n";
   echo "</font>";
   echo "\n";
   echo "<INPUT type='hidden' NAME=GEN value='taro'>";
   echo "<INPUT type='hidden' NAME=BNAME_1 value=$BNAME_1>";
   echo "<INPUT type='hidden' NAME=BNAME_2 value=$BNAME_2>";
   echo "<INPUT type='hidden' NAME=CNAME_X value=$CNAME>";
   echo "<input type=submit value='反映します'>";
   }

else if(0 != strlen($BNAME) && 0 != strlen($BNAME2) && 0 >= strlen($CNAME)){
   print("選択した$BNAME 監視ブロック名を、$BNAME2 に変更します。\n");
   echo "\n";
   echo "<FORM METHOD=GET ACTION='block_name_mv.php' target='deletet'>";
   echo "<font color=red>";
   echo "このボタンを押すとデータベース及び設定ファイルに反映します。\n";
   echo "</font>";
   echo "\n";
   echo "<INPUT type='hidden' NAME=GEN value='taro'>";
   echo "<INPUT type='hidden' NAME=BNAME value=$BNAME>";
   echo "<INPUT type='hidden' NAME=BNAME2 value=$BNAME2>";
   echo "<input type=submit value='変更します'>";
   }

else{
   print("設定内容が不正なため、削除は出来ません\n");
   }

echo "\n";


print("</font>");

?>

</pre>
</body>
</html>


